Get Calendar
curl --request GET \
--url https://api.example.com/api/v1/teams/{team_id}/calendar \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/teams/{team_id}/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/teams/{team_id}/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"task_type": "<string>",
"platform": "<string>",
"status": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"assigned_member": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"agent_slug": "<string>",
"display_name": "<string>",
"capabilities": [
"<string>"
],
"hired_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persona_name": "<string>",
"agent_classes": [
"<string>"
],
"current_activity": {}
},
"published_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Teams
Get Calendar
Get content calendar (all scheduled/upcoming tasks).
GET
/
api
/
v1
/
teams
/
{team_id}
/
calendar
Get Calendar
Was this page helpful?
⌘I